netatalk: uam_obj Struct Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
uam_obj Struct Reference

`#include <uam_auth.h>`

## Data Fields
const char * | uam_name
char * | uam_path
int | uam_count
union { |
struct { |
int(* login )(void *, struct passwd **, char *, int, char *, size_t *) |
int(* logincont )(void *, struct passwd **, char *, int, char *, size_t *) |
void(* logout )(void) |
int(* login_ext )(void *, char *, struct passwd **, char *, int, char *, size_t *) |
} uam_login
int(* uam_changepw )(void *, char *, struct passwd *, char *, int, char *, size_t *) |
} | u
struct uam_obj * | uam_prev
struct uam_obj * | uam_next
union { |
struct { |
int(* login )(void *, struct passwd **, char *, int, char *, int *) |
int(* logincont )(void *, struct passwd **, char *, int, char *, int *) |
void(* logout )(void) |
} uam_login
int(* uam_changepw )(void *, char *, struct passwd *, char *, int, char *, int *) |
int(* uam_printer )(char *, char *, char *, struct papfile *) |
} | u

## Field Documentation

## ◆ login

int(* uam_obj::login) (void *, struct passwd **, char *, int, char *, int *)

## ◆ login_ext

int(* uam_obj::login_ext) (void *, char *, struct passwd **, char *, int, char *, size_t *)

## ◆ logincont

int(* uam_obj::logincont) (void *, struct passwd **, char *, int, char *, int *)

## ◆ logout

void(* uam_obj::logout) (void) | ( | void |  | ) |

## ◆ [union] [1/2]

union { ... } uam_obj::u

## ◆ [union] [2/2]

union { ... } uam_obj::u

## ◆ uam_changepw

int(* uam_obj::uam_changepw) (void *, char *, struct passwd *, char *, int, char *, int *)

## ◆ uam_count

int uam_obj::uam_count

## ◆ [struct] [1/2]

struct { ... } uam_obj::uam_login

## ◆ [struct] [2/2]

struct { ... } uam_obj::uam_login

## ◆ uam_name

const char * uam_obj::uam_name

authentication method

## ◆ uam_next

struct uam_obj * uam_obj::uam_next

## ◆ uam_path

char * uam_obj::uam_path

where it's located

## ◆ uam_prev

struct uam_obj * uam_obj::uam_prev

## ◆ uam_printer

int(* uam_obj::uam_printer) (char *, char *, char *, struct papfile *)

The documentation for this struct was generated from the following files:

- afpd/uam_auth.h
- papd/uam_auth.h